ELInsertTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.tiles
Class ELInsertTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.tiles.taglib.DefinitionTagSupport
              org.apache.struts.tiles.taglib.InsertTag
                  org.apache.strutsel.taglib.tiles.ELInsertTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag, ComponentConstants, PutListTagParent, PutTagParent

    public class ELInsertTag

extends InsertTag

This is the tag handler for <tiles:insert>, which includes a template. The tag's body content consists of <tiles:put> tags, which are accessed by <tiles:get> in the template.

This class is a subclass of the class `org.apache.struts.taglib.tiles.InsertTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.struts.tiles.taglib.InsertTag
`InsertTag.DirectStringHandler, InsertTag.InsertHandler, InsertTag.TagHandler`

Field Summary

Fields inherited from class org.apache.struts.tiles.taglib.InsertTag
`attribute, beanName, beanProperty, beanScope, cachedCurrentContext, definitionName, flush, isErrorIgnored, log, name, pageContext, processEndTag, ROLE_DELIMITER, tagHandler`

Fields inherited from class org.apache.struts.tiles.taglib.DefinitionTagSupport
`controllerName, controllerType, page, role`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id`

Fields inherited from interface org.apache.struts.tiles.taglib.ComponentConstants
`COMPONENT_CONTEXT, COMPONENT_SCOPE, EXCEPTION_KEY, LOCALE_KEY`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELInsertTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getAttributeExpr()` Getter method for "attribute" tag attribute.
`String` | `getBeanNameExpr()` Getter method for "beanName" tag attribute.
`String` | `getBeanPropertyExpr()` Getter method for "beanProperty" tag attribute.
`String` | `getBeanScopeExpr()` Getter method for "beanScope" tag attribute.
`String` | `getComponentExpr()` Getter method for "component" tag attribute.
`String` | `getControllerClassExpr()` Getter method for "controllerClass" tag attribute.
`String` | `getControllerUrlExpr()` Getter method for "controllerUrl" tag attribute.
`String` | `getDefinitionExpr()` Getter method for "definition" tag attribute.
`String` | `getFlushExpr()` Getter method for "flush" tag attribute.
`String` | `getIgnoreExpr()` Getter method for "ignore" tag attribute.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getPageExpr()` Getter method for "page" tag attribute.
`String` | `getRoleExpr()` Getter method for "role" tag attribute.
`String` | `getTemplateExpr()` Getter method for "template" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setAttributeExpr(String attributeExpr)` Setter method for "attribute" tag attribute.
`void` | `setBeanNameExpr(String beanNameExpr)` Setter method for "beanName" tag attribute.
`void` | `setBeanPropertyExpr(String beanPropertyExpr)` Setter method for "beanProperty" tag attribute.
`void` | `setBeanScopeExpr(String beanScopeExpr)` Setter method for "beanScope" tag attribute.
`void` | `setComponentExpr(String componentExpr)` Setter method for "component" tag attribute.
`void` | `setControllerClassExpr(String controllerClassExpr)` Setter method for "controllerClass" tag attribute.
`void` | `setControllerUrlExpr(String controllerUrlExpr)` Setter method for "controllerUrl" tag attribute.
`void` | `setDefinitionExpr(String definitionExpr)` Setter method for "definition" tag attribute.
`void` | `setFlushExpr(String flushExpr)` Setter method for "flush" tag attribute.
`void` | `setIgnoreExpr(String ignoreExpr)` Setter method for "ignore" tag attribute.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setPageExpr(String pageExpr)` Setter method for "page" tag attribute.
`void` | `setRoleExpr(String roleExpr)` Setter method for "role" tag attribute.
`void` | `setTemplateExpr(String templateExpr)` Setter method for "template" tag attribute.

Methods inherited from class org.apache.struts.tiles.taglib.InsertTag
`createTagHandler, doEndTag, doInclude, getBeanName, getBeanProperty, getBeanScope, getDefinitionName, getFlush, getIgnore, getName, getPageContext, processAsDefinitionOrURL, processAttribute, processBean, processDefinition, processDefinitionName, processName, processNestedTag, processNestedTag, processObjectValue, processTypedAttribute, processUrl, putAttribute, putAttribute, releaseInternal, setAttribute, setBeanName, setBeanProperty, setBeanScope, setComponent, setDefinition, setFlush, setFlush, setIgnore, setName, setPageContext, userHasRole`

Methods inherited from class org.apache.struts.tiles.taglib.DefinitionTagSupport
`getControllerName, getControllerType, getPage, getRole, getTemplate, setController, setControllerClass, setControllerName, setControllerType, setControllerUrl, setPage, setRole, setTemplate`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELInsertTag

    public ELInsertTag()

Method Detail

### getTemplateExpr

    public String getTemplateExpr()

  Getter method for "template" tag attribute. (Mapping set in associated BeanInfo class.)

### getComponentExpr

    public String getComponentExpr()

  Getter method for "component" tag attribute. (Mapping set in associated BeanInfo class.)

### getPageExpr

    public String getPageExpr()

  Getter method for "page" tag attribute. (Mapping set in associated BeanInfo class.)

### getDefinitionExpr

    public String getDefinitionExpr()

  Getter method for "definition" tag attribute. (Mapping set in associated BeanInfo class.)

### getAttributeExpr

    public String getAttributeExpr()

  Getter method for "attribute" tag attribute. (Mapping set in associated BeanInfo class.)

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getBeanNameExpr

    public String getBeanNameExpr()

  Getter method for "beanName" tag attribute. (Mapping set in associated BeanInfo class.)

### getBeanPropertyExpr

    public String getBeanPropertyExpr()

  Getter method for "beanProperty" tag attribute. (Mapping set in associated BeanInfo class.)

### getBeanScopeExpr

    public String getBeanScopeExpr()

  Getter method for "beanScope" tag attribute. (Mapping set in associated BeanInfo class.)

### getFlushExpr

    public String getFlushExpr()

  Getter method for "flush" tag attribute. (Mapping set in associated BeanInfo class.)

### getIgnoreExpr

    public String getIgnoreExpr()

  Getter method for "ignore" tag attribute. (Mapping set in associated BeanInfo class.)

### getRoleExpr

    public String getRoleExpr()

  Getter method for "role" tag attribute. (Mapping set in associated BeanInfo class.)

### getControllerUrlExpr

    public String getControllerUrlExpr()

  Getter method for "controllerUrl" tag attribute. (Mapping set in associated BeanInfo class.)

### getControllerClassExpr

    public String getControllerClassExpr()

  Getter method for "controllerClass" tag attribute. (Mapping set in associated BeanInfo class.)

### setTemplateExpr

    public void setTemplateExpr(String templateExpr)

  Setter method for "template" tag attribute. (Mapping set in associated BeanInfo class.)

### setComponentExpr

    public void setComponentExpr(String componentExpr)

  Setter method for "component" tag attribute. (Mapping set in associated BeanInfo class.)

### setPageExpr

    public void setPageExpr(String pageExpr)

  Setter method for "page" tag attribute. (Mapping set in associated BeanInfo class.)

### setDefinitionExpr

    public void setDefinitionExpr(String definitionExpr)

  Setter method for "definition" tag attribute. (Mapping set in associated BeanInfo class.)

### setAttributeExpr

    public void setAttributeExpr(String attributeExpr)

  Setter method for "attribute" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setBeanNameExpr

    public void setBeanNameExpr(String beanNameExpr)

  Setter method for "beanName" tag attribute. (Mapping set in associated BeanInfo class.)

### setBeanPropertyExpr

    public void setBeanPropertyExpr(String beanPropertyExpr)

  Setter method for "beanProperty" tag attribute. (Mapping set in associated BeanInfo class.)

### setBeanScopeExpr

    public void setBeanScopeExpr(String beanScopeExpr)

  Setter method for "beanScope" tag attribute. (Mapping set in associated BeanInfo class.)

### setFlushExpr

    public void setFlushExpr(String flushExpr)

  Setter method for "flush" tag attribute. (Mapping set in associated BeanInfo class.)

### setIgnoreExpr

    public void setIgnoreExpr(String ignoreExpr)

  Setter method for "ignore" tag attribute. (Mapping set in associated BeanInfo class.)

### setRoleExpr

    public void setRoleExpr(String roleExpr)

  Setter method for "role" tag attribute. (Mapping set in associated BeanInfo class.)

### setControllerUrlExpr

    public void setControllerUrlExpr(String controllerUrlExpr)

  Setter method for "controllerUrl" tag attribute. (Mapping set in associated BeanInfo class.)

### setControllerClassExpr

    public void setControllerClassExpr(String controllerClassExpr)

  Setter method for "controllerClass" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `InsertTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `InsertTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.